{
  "extends": "solhint:recommended",
  "rules": {
    "compiler-version": ["error", "^0.8.0"],
    "func-visibility": ["error", {"ignoreConstructors": true}],
    "state-visibility": "error",
    "max-line-length": ["warn", 160],
    "quotes": ["error", "double"],
    "reason-string": ["warn", {"maxLength": 64}],
    "no-empty-blocks": "warn",
    "no-unused-vars": "warn",
    "no-console": "off",
    "code-complexity": "off",
    "function-max-lines": "off",
    "gas-custom-errors": "warn",
    "gas-calldata-parameters": "warn",
    "not-rely-on-time": "off",
    "avoid-low-level-calls": "off"
  }
}
